Subject: RE: [L2tpext] Q: is framing-capabilities value=0 legal

From: "Ricky Charlet" <[email-masked]>
Date: Tue, 1 Nov 2005 09:22:14 -0800

Thank you Mr. Goyret,

	I hope I paraphrase your response correctly to say that Fr-cap=0
is allowable and its meaning is "I will not initiate", and it may even
be common from an LNS.

	But even if I see your meaning correctly, that still does not
help me in my situation. I'm the LNS, and I am receiving Fr-Cap=0 from
the LAC. The LAC I am dealing with has an obvious bug in that it's
Fr-Cap setting is configurable but it ignores the configuration and
always sends 0. Yet still, this is a popular LAC and I want to
interoperate with it.

	From my LNS's perspective... should I be generous in what I
accept, or is there a reason I must abort the connection?

---
Ricky Charlet
W: 408.754.1733
[email-masked]
--- _
   ( )  ASCII ribbon campaign 
    X    - against HTML email
   / \                   

> -----Original Message-----
> From: Ignacio Goyret [mailto:[email-masked]] 
> Sent: Monday, October 31, 2005 10:32 AM
> To: Ricky Charlet
> Cc: [email-masked]
> Subject: Re: [L2tpext] Q: is framing-capabilities value=0 legal
> 
> AFAIK, 0 is a valid value for framing capabilities. 
> Implicitly, it means that the sender does not have the 
> capabilities of sending an OCRQ to its L2TP peer. Many LNSs 
> do this because they are unable (by software or 
> configuration) of generating outgoing calls.
> 
> 
> At 12:10 10/14/2005 -0700, Ricky Charlet wrote:
> >
> >Howdy,
> >
> >	I'm working on an l2tp+ppp product and have come around to 
> >interoperability testing. A vendor that I wish to interoperate with 
> >sends me (I'm the LNS) a framing-capabilities AVP value of 0 
> (neither A 
> >nor S). At first my code library was rejecting this as an 
> illegal value 
> >and dropping the connection (sending stop).
> >
> >	But I did notice that if I ignore the framing-capabilities=0
> >(none?) then my connection can proceed just fine.
> >
> >	So I need a bit of enlightenment.... is 
> framing-capabilities=0 a legal 
> >value? The rfc makes no explicit statement about it that I 
> can see. But 
> >my reading of the rfc's line "An LNS
> >      MUST not send an OCRQ with a Framing Type AVP 
> specifying a value
> >      not advertised in this AVP."
> > suggests that an LAC should set something, otherwise what 
> would an LNS 
> >respond with?
> >
> >
> >
> >Thanks.
> >
> >---
> >Ricky Charlet
> >W: 408.754.1733
> >[email-masked]
> >--- _
> >   ( )  ASCII ribbon campaign 
> >    X    - against HTML email
> >   / \                  
> >
> >_______________________________________________
> >L2tpext mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/l2tpext
> > 
> 
> 

_______________________________________________
L2tpext mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/l2tpext

---

From: Ignacio Goyret <[email-masked]>
Date: Tue, 01 Nov 2005 10:44:33 -0800

>accept, or is there a reason I must abort the connection?

The question you have to ask yourself is what do you gain by being
picky on something inconsequential.

Remember that L2TP (even 2661) is symmetrical: the role of LNS or
LAC is a per-call role, not a per-tunnel role. By sending framing
capabilities == 0, the L2TP peer is promising that it won't send
an OCRQ. From your point of view, why is that a problem to you?

If the remote's promise of never send an OCRQ is not a problem
to you (and, if your product is only an LNS, it shouldn't be),
ask yourself why reject the tunnel?

By all means, I strongly suggest that you should follow Jon Postel's
principle of robustness (RFC793, section 2.10): be conservative in
what you send and liberal in what you accept from others.

Unless something really affects your functionality, what's the harm
in accepting it?

---

From: "Ricky Charlet" <[email-masked]>
Date: Tue, 1 Nov 2005 10:59:22 -0800

Ah, Thanks!

	I have been inclined toward accepting the tunnel. But L2TP is
not my normal gig and I just wanted to 'ask the list' to get a sence of
the matter from other folks.

---
Ricky Charlet
W: 408.754.1733

> Sent: Tuesday, November 01, 2005 10:45 AM
> To: Ricky Charlet
> Cc: Ignacio Goyret; [email-masked]
> Subject: RE: [L2tpext] Q: is framing-capabilities value=0 legal
> 
> >	I hope I paraphrase your response correctly to say that 
> Fr-cap=0 is 
> >allowable and its meaning is "I will not initiate", and it 
> may even be 
> >common from an LNS.
> >
> >
> >	But even if I see your meaning correctly, that still 
> does not help me 
> >in my situation. I'm the LNS, and I am receiving Fr-Cap=0 
> from the LAC. 
> >The LAC I am dealing with has an obvious bug in that it's Fr-Cap 
> >setting is configurable but it ignores the configuration and always 
> >sends 0. Yet still, this is a popular LAC and I want to interoperate 
> >with it.
> >
> >	From my LNS's perspective... should I be generous in 
> what I accept, or 
> >is there a reason I must abort the connection?
> 
> 
> The question you have to ask yourself is what do you gain by 
> being picky on something inconsequential.
> 
> Remember that L2TP (even 2661) is symmetrical: the role of 
> LNS or LAC is a per-call role, not a per-tunnel role. By 
> sending framing capabilities == 0, the L2TP peer is promising 
> that it won't send an OCRQ. From your point of view, why is 
> that a problem to you?
> 
> If the remote's promise of never send an OCRQ is not a 
> problem to you (and, if your product is only an LNS, it 
> shouldn't be), ask yourself why reject the tunnel?
> 
> By all means, I strongly suggest that you should follow Jon 
> Postel's principle of robustness (RFC793, section 2.10): be 
> conservative in what you send and liberal in what you accept 
> from others.
> 
> Unless something really affects your functionality, what's 
> the harm in accepting it?
> 
>